package com.ff.member.mapper;

import java.util.List;
import com.ff.member.domain.Member;

/**
 * 会员Mapper接口
 * 
 * @author shi
 * @date 2025-02-10
 */
public interface MemberMapper 
{
    /**
     * 查询会员
     * 
     * @param id 会员主键
     * @return 会员
     */
     Member selectMemberById(Long id);

    /**
     * 查询会员列表
     * 
     * @param member 会员
     * @return 会员集合
     */
     List<Member> selectMemberList(Member member);

    /**
     * 新增会员
     * 
     * @param member 会员
     * @return 结果
     */
     int insertMember(Member member);

    /**
     * 修改会员
     * 
     * @param member 会员
     * @return 结果
     */
     int updateMember(Member member);

    /**
     * 删除会员
     * 
     * @param id 会员主键
     * @return 结果
     */
     int deleteMemberById(Long id);

    /**
     * 批量删除会员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteMemberByIds(Long[] ids);


    /**
     * 按成员帐户选择成员
     *
     * @param memberAccount 会员帐户
     * @return {@link Member }
     */
    Member selectMemberByMemberAccount(String memberAccount);


    /**
     * 按游戏帐户选择成员
     *
     * @param gameAccount 游戏账号
     * @return {@link Member }
     */
    Member selectMemberByGameAccount(String gameAccount);
}
